package org.project.entity;

public interface Entity
{
    void attack(Entity target);

    void defend();

    void heal(int health);

    void fillMana(int mana);

    void takeDamage(int damage);

    int getHP();
    int getMP();
    int getMaxHP();
    int getMaxMP();
    int getLevel();
    String getName();

    void setStunned(boolean value);
    boolean isStunned();

    void setInvisible(boolean value);
    boolean isInvisible();

    boolean isAlive();

    void gainXP(int xp);

    /*
    TODO: ADD OTHER REQUIRED AND BONUS METHODS
    */
}
